import request from './request'


export default {

    all() {
        return request({
            url: '/activity/template/all',
            method: 'get'
        });
    },

    add(data) {
        return request({
            url: '/activity/template/add',
            method: 'post',
            data
        });
    },

    query(data) {
        return request({
            url: '/activity/template/query',
            method: 'post',
            data
        });
    },

    update(data) {
        return request({
            url: '/activity/template/update',
            method: 'put',
            data
        });
    },

    delete(data) {
        return request({
            url: '/activity/template/delete',
            method: 'delete',
            data
        });
    },

    deleteBatch(data) {
        return request({
            url: '/activity/template/delete_batch',
            method: 'delete',  
            data
        });
    },

    importBatch(data) {
        return request({
            url: '/activity/template/import_batch',
            method: 'post',  
            data
        });
    }

}
